harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Ellison <t.p.elli...@gmail.com>
Subject Re: Linux libstdc++.so.5 dependency
Date Sun, 22 Apr 2007 18:46:15 GMT
Gregory Shimansky wrote:
> Nathan Beyer wrote:
>> There's a comment about this in the classlib README, that I just
>> found. It seems this is a dependency from the ICU 3.4 libraries.
>> There's been off an on talk about upgrading to the latest ICU release.
>> Maybe it has upgraded its dependencies.
> 
> I think this dependency doesn't come inherently from the 3.4 version of
> ICU. It comes from the host which was used to compile ICU binaries.
> Apparently it had libstdc++.so.5 as default stdc++ library. If ICU was
> compiled on a more modern distribution, it would depend on version 6.
> 
> To get rid of this dependency ICU could be linked with libstdc++
> statically.

Couldn't we also link in a reference to the library unversioned, and
pick up whatever the ldconfig has defined?

Regards,
Tim

Mime
View raw message